<!DOCTYPE html>
<html lang="fr">
  <head>
    <meta charset="utf-8">
    <title></title>
  </head>
  <style media="screen">
    .tab {
      width : 20%;
      height : 30%;
      margin-left : 40%;
    }

    table {
     border-width:1px;
     border-style:solid;
     border-color:black;
     border-collapse:collapse;
     }
    td {
     border-width:1px;
     border-style:solid;
     border-color:black;
     }

  </style>
  <body>

  <h2>Ex. 1</h2>

<script type="text/javascript">

    document.write("Voici une ligne de texte");
    document.write("<p>Paragraphe 1</p><p>Paragraphe 2</p><p>Paragraphe 3</p>");
    document.write("<B>Voici une ligne de texte en gras</B>");
    document.write("<br><br>");
    document.write("<table><tr><td>première case</td><td>deuxième case</td><td>troisième case</td></tr><tr><td>Et voici</td><td>une seconde</td><td>ligne</td></tr></table>");
    document.write("<br>");
    document.write("Ligne de texte en gras sans balise HTML".bold());

</script>

  <h2>Ex. 2</h2>

<script type="text/javascript">

  var nb = 96;

  document.write(nb);
  document.write("<br><br>");

  var prenom = "Blandine";

  document.write("Je m'appelle " + prenom);

  document.write("<br><br>");

  var age =23;

  document.write("Je m'appelle " + prenom + " et j'ai " + age + " ans");

  var c1 ="chat"; c2="chien"; c3="oiseau"; c4="poisson"; c5="souris"; c6="cheval";

  document.write("<br><br>");
  document.write("<table><tr><td>"+ c1 +"</td><td>"+ c2 +"</td><td>"+ c3 +"</td></tr><tr><td>"+ c4 +"</td><td>"+ c5 +"</td><td>"+ c6+"</td></tr></table>");

</script>

  <h2>Ex. 3</h2>
  <input type="button" name="" value="Script ex 2" onclick="ex2()">
  <div id="ex3.1"></div>
  <br><br>
<input type="text" name="word" value="" id='mot'>  <input type="button" name="" value="OK" onclick="saisi(mot.value)">
<br><br>
  <div id="ex3.2"></div>
  <br>
1er mot &nbsp;<input type="text" id="mot1" name="mot1" value="" >
<br><br>
2eme mot &nbsp;<input type="text" id="mot2" name="mot2" value="" >
<br><br>
3eme mot &nbsp;<input type="text" id="mot3" name="mot3" value="" >
<br><br>
4eme mot &nbsp;<input type="text" id="mot4" name="mot4" value="" >
<br><br>
<input type="button" name="" value="Générer tableau" onclick="tableau(mot1.value,mot2.value,mot3.value,mot4.value)">
<br><br>
  <div id="ex3.3"></div>

  <br><br>

  <h2>Ex. 4</h2>

<input type="button" name="" value="Alerte" onclick="Alerte()">
  <br><br>
<a href="lien" onmouseover="alert_lien()">lien alert</a>
  <br><br>
<input type="text" name="word" value="" id='motp'>  <input type="button" name="" value="OK" onclick="alert_para(motp.value)">

<br><br>

<h2>Ex. 5</h2>
<br>
Saisir une valeur : <input type="text" id="val" name="" value=""><input type="button" name="" value="OK" onclick="test(val.value)">
<br><br>
<input type="button" name="" value="Générer suite de chiffre" onclick="boucle()">
  <br><br>
  <div id="ex5.1"></div>
  <br><br>
    <input type="button" name="" value="Générer tableau" onclick="boucle_tab()">
    <br><br>
<h2>Ex. 6</h2>
<form action="#" method="post">
    <div>
        <label for="txt1">Mot à copier :</label>
        <input type="text" id="txt1" name="txt1" value="" onkeyup="copie()">
    </div>
        <br>
    <div>
        <label for="text2">Mot : </label>
        <input type="text" id="txt2" name="txt2" disabled="disabled">
    </div>

</form>
  <br><br>
<form action="#" method="post">

        <label for="name">Pays :</label>
        <select class="" name="Liste" id="Liste" value="" onchange="selection()" onLoad="selection()">
          <option value="none" selected disabled hidden> Choisir un pays </option>
          <option value="Paris">France</option>
          <option value="Madrid">Espagne</option>
          <option value="Berlin">Allemagne</option>
          <option value="Rome">Italie</option>
        </select>
&nbsp;
        <label for="cap">Capitale : </label>
        <input type="text" id="capitale" name="capitale" disabled="disabled">


</form>
  <br><br>
<form action="#" method="post">
    <div>
        <label for="form1">Mot (Form1) à copier :</label>
        <input type="text" id="form1" name="form1" value="" onkeyup="copieF()">
    </div>

</form>
<br>
<form action="#" method="post">
    <div>
        <label for="form1">Mot (Form2) :</label>
        <input type="text" id="form2" name="form2" disabled="disabled">
    </div>

</form>
  <br><br>
</body>
  </html>

  <script type="text/javascript">

    function ex2()
    {
      document.getElementById("ex3.1" ).innerHTML = "<br> Je m'appelle Blandine";
    }

    function saisi(word){
      document.getElementById("ex3.2" ).innerHTML = "Le mot saisi : " + word + "<br>";
    }

    function tableau(m1,m2,m3,m4){
      document.getElementById("ex3.3" ).innerHTML = "<br>"+"<table><tr><td>"+ m1 +"</td><td>"+ m2 +"</td></tr><tr><td>"+ m3 +"</td><td>"+ m4 +"</td></tr></table>";

    }

    function Alerte(){
      alert("Hello world !");
    }

    function alert_lien(){
      alert("Alerte du lien");
    }
    function alert_para(m){
      alert("Le mot saisi : " + m);
    }

    function test(v){
      if (v != ''){
        if (v > 10){
          alert("La valeur saisi est supérieur à 10.");
        }else {
          alert("La valeur saisi est inférieur à 10.");
        }
      }else{
        alert("Veuillez saisir une valeur !")
      }
    }

    function boucle(){
      var suite = "";
      for (var i = 1; i < 11; i++){
      suite = suite + " " + i;
      }
      document.getElementById("ex5.1" ).innerHTML = suite;
    }

    function boucle_tab(){

      var body = document.getElementsByTagName("body")[0];

      var tbl = document.createElement("table");
      var tblBody = document.createElement("tbody");
      for (var i = 1; i < 11; i++) {
        var row = document.createElement("tr");
        for (var j = 1; j < 11; j++) {
          var cell = document.createElement("td");
          var cellText = document.createTextNode(i+"."+j, j);
          cell.appendChild(cellText);
          row.appendChild(cell);
        }
        tblBody.appendChild(row);
      }
      tbl.appendChild(tblBody);
      body.appendChild(tbl);
      tbl.setAttribute("border", "2");
      tbl.setAttribute("width", "20%");
    }

    function copie(){
      var src = document.getElementById("txt1");
      var dest = document.getElementById("txt2");
      dest.value=src.value;
    }

    function selection(){
      var selectPays= document.getElementById("Liste");
      var selectionne = document.getElementById("capitale");
      selectionne.value = selectPays.value;
    }

    function copieF(){
      var src = document.getElementById("form1");
      var dest = document.getElementById("form2");
      dest.value=src.value;
    }

  </script>
